com.amazon.redshift.util

## Interface LruCache.CreateAction<Key,Value>

Type Parameters:
  `Value` - type of the cache entry

Enclosing class:
  LruCache<Key,Value extends CanEstimateSize>

    public static interface LruCache.CreateAction<Key,Value>

When the entry is not present in cache, this create action is used to create one.

### Method Summary

Methods
`Value` `create(Key key)`

### Method Detail

#### create

    Value create(Key key)
                 throws SQLException

Throws:
  `SQLException`